io.undertow.util

## Class HexConverter

- java.lang.Object
- - io.undertow.util.HexConverter

    public class HexConverter
    extends Object

A utility class for mapping between byte arrays and their hex representation and back again.

Author:
  Darran Lofthouse

### Constructor Summary

Constructors
Constructor and Description
`HexConverter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `convertFromHex(char[] toConvert)` Take the incoming character of hex encoded data and convert to the raw byte values.
`static byte[]` `convertFromHex(String toConvert)` Take the incoming String of hex encoded data and convert to the raw byte values.
`static byte[]` `convertToHexBytes(byte[] toBeConverted)` Take the supplied byte array and convert it to to a byte array of the encoded hex values.
`static String` `convertToHexString(byte[] toBeConverted)` Take the supplied byte array and convert it to a hex encoded String.
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HexConverter

    public HexConverter()

### Method Detail

#### convertToHexString

    public static String convertToHexString(byte[] toBeConverted)

Take the supplied byte array and convert it to a hex encoded String.

Parameters:
  `toBeConverted` - - the bytes to be converted.
Returns:
  the hex encoded String.

#### convertToHexBytes

    public static byte[] convertToHexBytes(byte[] toBeConverted)

Take the supplied byte array and convert it to to a byte array of the encoded hex values.

Each byte on the incoming array will be converted to two bytes on the return array.

Parameters:
  `toBeConverted` - - the bytes to be encoded.
Returns:
  the encoded byte array.

#### convertFromHex

    public static byte[] convertFromHex(char[] toConvert)

Take the incoming character of hex encoded data and convert to the raw byte values.

The characters in the incoming array are processed in pairs with two chars of a pair being converted to a single byte.

Parameters:
  `toConvert` - - the hex encoded String to convert.
Returns:
  the raw byte array.

#### convertFromHex

    public static byte[] convertFromHex(String toConvert)

Take the incoming String of hex encoded data and convert to the raw byte values.

The characters in the incoming String are processed in pairs with two chars of a pair being converted to a single byte.

Parameters:
  `toConvert` - - the hex encoded String to convert.
Returns:
  the raw byte array.

#### main

    public static void main(String[] args)